Bug 125538 - Bad shaded background on zoom slider within Calc's print preview toolbar (standard)
Summary: Bad shaded background on zoom slider within Calc's print preview toolbar (sta...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All Mac OS X (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-27 21:59 UTC by Thorsten Wagner
Modified: 2020-07-27 10:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (6.52 KB, image/png)
2019-05-27 22:00 UTC, Thorsten Wagner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Wagner 2019-05-27 21:59:47 UTC
Description:
Background of zoom slider within Calc's print preview is rendered light gray while remaining toolbar is renderd darker gray (see screenshot).

Steps to Reproduce:
(1) Open Calc

(2) Press Toogle Print Preview icon

Actual Results:
Background of zoom slider is rendered light gray while remaining toolbar is renderd darker gray

Expected Results:
Background of zoom slider is rendered same gray as remaining toolbar


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Issue is not related to LO 6.3. Issue exists with LO 5 at least.
Comment 1 Thorsten Wagner 2019-05-27 22:00:17 UTC
Created attachment 151719 [details]
Screenshot
Comment 2 Alex Thurgood 2019-05-28 07:33:32 UTC
Confirming with

Version: 6.3.0.0.alpha1+
Build ID: 92b0b8d78d69bd917842b09af7888b402144baeb
CPU threads: 4; OS: Mac OS X 10.14.4; UI render: default; VCL: osx; 
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2019-05-30 11:54:56 UTC
not reproducible in

Version: 6.3.0.0.alpha1+
Build ID: aa687b22991e6c674b1d8653d52fbe9a50080174
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

(In reply to Thorsten Wagner from comment #0)
> Issue is not related to LO 6.3. Issue exists with LO 5 at least.

Changing version...
Comment 4 eisa01 2020-05-09 21:39:29 UTC
This seems to have resolved itself

Version: 7.0.0.0.alpha0+
Build ID: f14691683900f6b28737be8c599e1ee4e8386e14
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Thorsten Wagner 2020-05-10 20:48:19 UTC
Unable to confirm with

Version: 7.0.0.0.alpha1+
Build ID: 8fcd2db54af770d04be5c70b726cd14aff288683
CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: de-DE (en_US.UTF-8); UI: en-US
Calc: threaded

What iconset do you use? Issue still existis with Sifr and Sukapura at least (but I do not beleave that issue depends on iconset).
Comment 6 eisa01 2020-05-11 20:25:32 UTC
Ah, sorry, you are correct. I'm using the "tabbed" bar where this is not an issue, so I was looking at the zoom bar in the bottom right corner
Comment 7 Commit Notification 2020-05-19 08:04:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/444c7c736be7545344298a9cbb3a69886edc5ecb

tdf#125538 fix background of zoom control

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.